Issue1013

Title Google Image search incompatible with "HTTPS everywhere" extension
Priority bug Status resolved
Project MozCC Milestone
Superseder Nosy List oc
Assigned To Keywords

Created on 2012-01-11.15:34:28 by oc, last changed 2013-01-31.19:30:12 by Greg.

Messages
msg3946 (view) Author: oc Date: 2012-04-13.06:40:03
For a reason I cannot identify this issue is fixed now. Thank you for
your time and sorry for the inconvenience.
msg3865 (view) Author: oc Date: 2012-01-11.15:34:28
When searching for "subject" through the CC search plugin

clicking on the Google Images button redirects to 

http://www.google.com/imghpimages?as_q=subject&as_rights=%28cc_publicdomain|cc_attribute|cc_sharealike%29.-%28cc_noncommercial|cc_nonderived%29

which is a 404 error. Removing 'imghp' from the URL redirects towards a valid
search (served as HTTPS).

This happens only when the "HTTPS Everywhere" Firefox plugin (developed by the
Electronic Frontier Foundation, EFF) is activated. Since this plugin is an
important tool for privacy protection and that there seems to be an easy fix I
thought you might wish to take a look.

In any case, thank you for your valuable CC search plugin. It is hugely valuable
and very well-made.
History
Date User Action Args
2013-01-31 19:30:12Gregsetstatus: chatting -> resolved
2012-04-13 06:40:05ocsetstatus: unread -> chatting
messages: + msg3946
2012-01-11 15:34:28occreate